## NMSettingAdsl

NMSettingAdsl — Describes ADSL-based properties

## Functions

NMSetting * | nm_setting_adsl_new ()
const char * | nm_setting_adsl_get_username ()
const char * | nm_setting_adsl_get_password ()
const char * | nm_setting_adsl_get_protocol ()
const char * | nm_setting_adsl_get_encapsulation ()
guint32 | nm_setting_adsl_get_vpi ()
guint32 | nm_setting_adsl_get_vci ()
NMSettingSecretFlags | nm_setting_adsl_get_password_flags ()

## Types and Values

#define | NM_SETTING_ADSL_SETTING_NAME
#define | NM_SETTING_ADSL_USERNAME
#define | NM_SETTING_ADSL_PASSWORD
#define | NM_SETTING_ADSL_PASSWORD_FLAGS
#define | NM_SETTING_ADSL_PROTOCOL
#define | NM_SETTING_ADSL_ENCAPSULATION
#define | NM_SETTING_ADSL_VPI
#define | NM_SETTING_ADSL_VCI
#define | NM_SETTING_ADSL_PROTOCOL_PPPOA
#define | NM_SETTING_ADSL_PROTOCOL_PPPOE
#define | NM_SETTING_ADSL_PROTOCOL_IPOATM
#define | NM_SETTING_ADSL_ENCAPSULATION_VCMUX
#define | NM_SETTING_ADSL_ENCAPSULATION_LLC

## Description

The NMSettingAdsl object is a NMSetting subclass that describes properties of ADSL connections.

## Functions

### nm_setting_adsl_new ()

    NMSetting *
    nm_setting_adsl_new (void);

Creates a new NMSettingAdsl object with default values.

#### Returns

the new empty NMSettingAdsl object

### nm_setting_adsl_get_username ()

    const char *
    nm_setting_adsl_get_username (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “username” property of the setting

### nm_setting_adsl_get_password ()

    const char *
    nm_setting_adsl_get_password (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “password” property of the setting

### nm_setting_adsl_get_protocol ()

    const char *
    nm_setting_adsl_get_protocol (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “protocol” property of the setting

### nm_setting_adsl_get_encapsulation ()

    const char *
    nm_setting_adsl_get_encapsulation (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “encapsulation” property of the setting

### nm_setting_adsl_get_vpi ()

    guint32
    nm_setting_adsl_get_vpi (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “vpi” property of the setting

### nm_setting_adsl_get_vci ()

    guint32
    nm_setting_adsl_get_vci (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the “vci” property of the setting

### nm_setting_adsl_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_adsl_get_password_flags (NMSettingAdsl *setting);

#### Parameters

setting | the NMSettingAdsl |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

## Types and Values

### NM_SETTING_ADSL_SETTING_NAME

    #define NM_SETTING_ADSL_SETTING_NAME "adsl"

### NM_SETTING_ADSL_USERNAME

    #define NM_SETTING_ADSL_USERNAME       "username"

### NM_SETTING_ADSL_PASSWORD

    #define NM_SETTING_ADSL_PASSWORD       "password"

### NM_SETTING_ADSL_PASSWORD_FLAGS

    #define NM_SETTING_ADSL_PASSWORD_FLAGS "password-flags"

### NM_SETTING_ADSL_PROTOCOL

    #define NM_SETTING_ADSL_PROTOCOL       "protocol"

### NM_SETTING_ADSL_ENCAPSULATION

    #define NM_SETTING_ADSL_ENCAPSULATION  "encapsulation"

### NM_SETTING_ADSL_VPI

    #define NM_SETTING_ADSL_VPI            "vpi"

### NM_SETTING_ADSL_VCI

    #define NM_SETTING_ADSL_VCI            "vci"

### NM_SETTING_ADSL_PROTOCOL_PPPOA

    #define NM_SETTING_ADSL_PROTOCOL_PPPOA  "pppoa"

### NM_SETTING_ADSL_PROTOCOL_PPPOE

    #define NM_SETTING_ADSL_PROTOCOL_PPPOE  "pppoe"

### NM_SETTING_ADSL_PROTOCOL_IPOATM

    #define NM_SETTING_ADSL_PROTOCOL_IPOATM "ipoatm"

### NM_SETTING_ADSL_ENCAPSULATION_VCMUX

    #define NM_SETTING_ADSL_ENCAPSULATION_VCMUX "vcmux"

### NM_SETTING_ADSL_ENCAPSULATION_LLC

    #define NM_SETTING_ADSL_ENCAPSULATION_LLC   "llc"